net.snowflake.client.jdbc.telemetryV2

## Class TelemetryService

- java.lang.Object
- - net.snowflake.client.jdbc.telemetryV2.TelemetryService

    public class TelemetryService
    extends Object

Copyright (c) 2018 Snowflake Computing Inc. All rights reserved.

Out of Band Telemetry Service This is a singleton queue containing telemetry messages

### Constructor Summary

Constructors
Constructor and Description
`TelemetryService()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `add(TelemetryEvent event)`
`void` `disable()`
`void` `enable()`
`void` `flush()` force to flush events in the queue
`static TelemetryService` `getInstance()`
`boolean` `isEnabled()`
`void` `setServerURL(String url)`
`int` `size()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TelemetryService

    public TelemetryService()

### Method Detail

#### getInstance

    public static TelemetryService getInstance()

#### setServerURL

    public void setServerURL(String url)

#### enable

    public void enable()

#### disable

    public void disable()

#### isEnabled

    public boolean isEnabled()

#### add

    public void add(TelemetryEvent event)

#### flush

    public void flush()

force to flush events in the queue

#### size

    public int size()